Module | Magick::RVG::StructureConstructors
In: | lib/rvg/embellishable.rb

Methods that construct container objects within a container

### Methods

g rvg

### Public Instance methods

g(&block)

Defines a group.

This method constructs a new Group container object. The styles and transforms specified on this object will be used by objects contained within, unless overridden by an inner container or the contained object itself. Define grouped elements by calling RVG::Embellishable methods within the associated block.

rvg(cols, rows, x=0, y=0, &block)

Establishes a new viewport. [`x`, `y`] is the coordinate of the upper-left corner within the containing viewport. This is a container method. Styles and transforms specified on this object will be used by objects contained within, unless overridden by an inner container or the contained object itself.

[Validate]